unit About;

(* Versioning information

Build 13.1:
Drag and drop enhanced - cannot encrypt when no recipient is selected
                       - recipient name displayed in drag and drop popup
Build 13.2:
Check for environment variables : TEMP, TZ, PGPPath

Build 13.2.1:
Clean up Ini file entries (get rid of Stayontop, Assume)

Build 13.2.2:
Extent the Clean up files routine to get rid of the batch files

Build 13.3:
Expert Mode built in - allows advanced options in menus etc.

Build 13.3.1
Fixed bugs - Encrypt file not working (Line of code missing)
           - Decrypt dialog did not select files correctly - filter wrong

Build 13.3.2
Fixed bug  - List of recently decoded files in WinPGP.ini grew forever

Build 13.3.3
Multiple Recipients

Build 13.4
Launch from command line, close down after execution

Build 141
Conventional encryption without compression built in

Build 142
      - Bug on encrypt clipboard (extra ") removed

Build 142.1
      - Bug on signature after Options were changed
      - tidy up of code

Build 14
Conventional encryption (DES or Blowfish) Built in and
integrated with the drag and drop
To Do - Setting of the buttons after finding the Wincrypt Sig
      - Confirmation of overwrite (Encrypt & Decrypt)

Version 1 Build 15
General preparation for release
      - Extended error detection in encryption/decryption
      - Encrypt/decrypt routines rewritten
      - file overwrite/pick another file name
      - Clean up options dialog
      - remove 'registering' for code size reduction
      - session password
      - 8 byte header extension for later versions

To Do - auto launch applications from decrypted file
      - Default encryptor
      - use key ID as encrypt parameter
      - Key Types and lengths in list
      - Aliases in list
      - Simple point and click encryption/decryption
      - .pgp extension in registery
      - background encryption
      - file manager interface
*)

interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls;

type
  TfrmAbout = class(TForm)
    Panel1: TPanel;
    bbnOK: TBitBtn;
    imgIcon: TImage;
    lblProdName: TLabel;
    lblVersion: TLabel;
    lblCopyright: TLabel;
    lblComments: TLabel;
    Bevel1: TBevel;
    procedure bbnOKClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

implementation

{$R *.DFM}

uses
     Decl;

procedure TfrmAbout.bbnOKClick(Sender: TObject);
begin
     Close;
end;

procedure TfrmAbout.FormCreate(Sender: TObject);
begin
     lblVersion.Caption := 'Version: 0.0.15.9';
end;

end.
 
