unit EncDec;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons, ExtCtrls;

type
  TfrmEncDec = class(TForm)
    grpPGPEncryption: TGroupBox;
    bvlRecipient: TBevel;
    lblRecipient: TLabel;
    lblRecipientName: TLabel;
    bbnPGPEnc: TBitBtn;
    bbnPGPDec: TBitBtn;
    grpConventional: TGroupBox;
    bbnConvEnc: TBitBtn;
    bbnConvDec: TBitBtn;
    bbnCancel: TBitBtn;
    grpFileName: TGroupBox;
    lblFileName: TLabel;
    procedure bbnPGPEncClick(Sender: TObject);
    procedure bbnPGPDecClick(Sender: TObject);
    procedure bbnCancelClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure bbnConvEncClick(Sender: TObject);
    procedure bbnConvDecClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
        Action: String;
  end;

implementation

{$R *.DFM}

procedure TfrmEncDec.bbnPGPEncClick(Sender: TObject);
begin
     Action:= 'PGPEnc';
     Close;
end;

procedure TfrmEncDec.bbnPGPDecClick(Sender: TObject);
begin
     Action:= 'PGPDec';
     Close;
end;

procedure TfrmEncDec.bbnCancelClick(Sender: TObject);
begin
     Action:= 'Nothing';
     Close;
end;

procedure TfrmEncDec.FormShow(Sender: TObject);
begin
     bbnConvEnc.SetFocus;
     if Action = 'PGPEnc' then
     begin
          if not bbnPGPEnc.Enabled then
               bbnCancel.SetFocus
          else
               bbnPGPEnc.SetFocus;
     end;
     if Action = 'PGPDec' then
     begin
          bbnPGPDec.SetFocus;
     end;
     if Action = 'ConvDec' then
     begin
          bbnConvDec.SetFocus;
     end;
end;

procedure TfrmEncDec.bbnConvEncClick(Sender: TObject);
begin
     Action:= 'ConvEnc';
     Close;
end;

procedure TfrmEncDec.bbnConvDecClick(Sender: TObject);
begin
     Action:= 'ConvDec';
     Close;
end;

end.
